<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__csx__touch__history__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_csx_touch_history_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__csx__touch__history__t_1a5a32e8b0644a7bc98f45a4b345188810" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_csx_touch_history_t::velocity</definition>
        <argsstring />
        <name>velocity</name>
        <briefdescription>
<para>The square of the "speed" (maximum distance change per refresh interval) threshold distinguishing a fast finger movement from separate finger touches (in [pixels/refresh interval]). </para>        </briefdescription>
        <detaileddescription>
<para>Squared speeds exceeding this value indicate separate finger touches. Squared speeds below this value indicate fast single finger movement. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="227" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="227" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__csx__touch__history__t_1a9cd73499eb9138949da6bd8812a654d1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</ref></type>
        <definition>cy_stc_capsense_position_t cy_stc_capsense_csx_touch_history_t::oldPeak[CY_CAPSENSE_CSX_TOUCHPAD_MAX_PEAKS]</definition>
        <argsstring>[CY_CAPSENSE_CSX_TOUCHPAD_MAX_PEAKS]</argsstring>
        <name>oldPeak</name>
        <briefdescription>
<para>Touch Positions. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="232" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="232" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__csx__touch__history__t_1aad62c7d9b921294d3caff02bcca10734" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_csx_touch_history_t::oldPeakNumber</definition>
        <argsstring />
        <name>oldPeakNumber</name>
        <briefdescription>
<para>Number of detected peaks. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="234" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="234" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__csx__touch__history__t_1a673eaa945ec772627c954df63b42a89e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_csx_touch_history_t::oldActiveIdsMask</definition>
        <argsstring />
        <name>oldActiveIdsMask</name>
        <briefdescription>
<para>Mask of used IDs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="235" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="235" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CSX Touchpad touch tracking history. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="124">
        <label>cy_stc_capsense_position_t</label>
        <link refid="structcy__stc__capsense__position__t" />
      </node>
      <node id="123">
        <label>cy_stc_capsense_csx_touch_history_t</label>
        <link refid="structcy__stc__capsense__csx__touch__history__t" />
        <childnode refid="124" relation="usage">
          <edgelabel>oldPeak</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="236" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="225" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="226" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__csx__touch__history__t_1a673eaa945ec772627c954df63b42a89e" virt="non-virtual"><scope>cy_stc_capsense_csx_touch_history_t</scope><name>oldActiveIdsMask</name></member>
      <member prot="public" refid="structcy__stc__capsense__csx__touch__history__t_1a9cd73499eb9138949da6bd8812a654d1" virt="non-virtual"><scope>cy_stc_capsense_csx_touch_history_t</scope><name>oldPeak</name></member>
      <member prot="public" refid="structcy__stc__capsense__csx__touch__history__t_1aad62c7d9b921294d3caff02bcca10734" virt="non-virtual"><scope>cy_stc_capsense_csx_touch_history_t</scope><name>oldPeakNumber</name></member>
      <member prot="public" refid="structcy__stc__capsense__csx__touch__history__t_1a5a32e8b0644a7bc98f45a4b345188810" virt="non-virtual"><scope>cy_stc_capsense_csx_touch_history_t</scope><name>velocity</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>